Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::RepositoryManager_Impl Class Reference

`#include <RepositoryManager_Impl.h>`

Collaboration diagram for CIAO::RepositoryManager_Impl:

[legend]
List of all members.

## Public Member Functions
| RepositoryManager_Impl ()
| RepositoryManager_Impl (CORBA::ORB_ptr orb, PortableServer::POA_ptr poa ACE_ENV_ARG_DECL)
| Constructor.
virtual void | installPackage (const char *installation_name, const char *location ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Deployment::NameExists, Deployment::PackageError)
virtual void | createPackage (const char *installation_name, const Deployment::PackageConfiguration &pc, const char *base_location, CORBA::Boolean replace ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Deployment::NameExists, Deployment::PackageError)
virtual Deployment::PackageConfiguration * | findPackageByName (const char *name ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Deployment::NoSuchName)
virtual Deployment::PackageConfiguration * | findPackageByUUID (const char *name ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Deployment::NoSuchName)
virtual CORBA::StringSeq * | findNamesByType (const char *type ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::StringSeq * | getAllNames (ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::StringSeq * | getAllTypes (ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | deletePackage (const char *name ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Deployment::NoSuchName)
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
## Protected Types
typedef ACE_Hash_Map_Manager_Ex< const char *, Deployment::PackageConfiguration, ACE_Hash< const char * >, ACE_Equal_To< const char * >, TAO_SYNCH_MUTEX > | pc_table
typedef pc_table::iterator | pc_iterator
## Protected Member Functions
| ~RepositoryManager_Impl ()
## Protected Attributes
CORBA::ORB_var | orb_
PortableServer::POA_var | poa_
pc_table | pc_table_

## Member Typedef Documentation

typedef pc_table::iterator CIAO::RepositoryManager_Impl::pc_iterator`[protected]`

typedef ACE_Hash_Map_Manager_Ex<const char *, Deployment::PackageConfiguration, ACE_Hash<const char *>, ACE_Equal_To<const char *>, TAO_SYNCH_MUTEX> CIAO::RepositoryManager_Impl::pc_table`[protected]`

## Constructor & Destructor Documentation

CIAO::RepositoryManager_Impl::RepositoryManager_Impl | ( |  | ) |

CIAO::RepositoryManager_Impl::RepositoryManager_Impl | ( | CORBA::ORB_ptr | orb,
|  | PortableServer::POA_ptr poa | ACE_ENV_ARG_DECL
| ) |

| Constructor.

CIAO::RepositoryManager_Impl::~RepositoryManager_Impl | ( |  | ) | `[protected]`

## Member Function Documentation

virtual void CIAO::RepositoryManager_Impl::createPackage | ( | const char * | installation_name,
|  | const Deployment::PackageConfiguration & | pc,
|  | const char * | base_location,
|  | CORBA::Boolean replace | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, Deployment::NameExists, Deployment::PackageError)`[virtual]`

virtual void CIAO::RepositoryManager_Impl::deletePackage | ( | const char *name | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, Deployment::NoSuchName)`[virtual]`

virtual CORBA::StringSeq* CIAO::RepositoryManager_Impl::findNamesByType | ( | const char *type | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

Deployment::PackageConfiguration * CIAO::RepositoryManager_Impl::findPackageByName | ( | const char *name | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, Deployment::NoSuchName)`[virtual]`

virtual Deployment::PackageConfiguration* CIAO::RepositoryManager_Impl::findPackageByUUID | ( | const char *name | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, Deployment::NoSuchName)`[virtual]`

CORBA::StringSeq * CIAO::RepositoryManager_Impl::getAllNames | ( | ACE_ENV_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

CORBA::StringSeq * CIAO::RepositoryManager_Impl::getAllTypes | ( | ACE_ENV_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

void CIAO::RepositoryManager_Impl::installPackage | ( | const char * | installation_name,
|  | const char *location | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, Deployment::NameExists, Deployment::PackageError)`[virtual]`

void CIAO::RepositoryManager_Impl::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

CORBA::ORB_var CIAO::RepositoryManager_Impl::orb_`[protected]`

pc_table CIAO::RepositoryManager_Impl::pc_table_`[protected]`

PortableServer::POA_var CIAO::RepositoryManager_Impl::poa_`[protected]`

The documentation for this class was generated from the following files:

- RepositoryManager/RepositoryManager_Impl.h
- RepositoryManager/RepositoryManager_Impl.cpp